ata_port_online
Prev | Chapter 4. libata Library | Next

## Name

ata_port_online — test whether the given port is online

## Synopsis

`int ata_port_online (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  ATA port to test

## Description

Test whether `ap` is online. Note that this function returns 0 if online status of `ap` cannot be obtained, so ata_port_online(ap) != !ata_port_offline(ap).

## LOCKING

None.

## RETURNS

1 if the port online status is available and online.

Prev | Up | Next
sata_scr_write_flush | Home | ata_port_offline